<template>
    <div class="html-wrap" v-html="value"></div>
</template>
<script setup lang="ts">
import { ref, reactive } from 'vue'
import { queryAppInfo, dictDataCache } from '@/api/auth'
import { useDictData } from '@/stores/dictData'
const dictData = useDictData()
const DataSelect = dictData.getBasicData('appInformationType')
const value = ref('')
const id = ref('')
document.title = '个人信息保护政策'
dictDataCache().then(res => {
    id.value = res.data
        .filter(item => item.code == 'appInformationType')[0]
        .children.filter(item => item.code == 'Personal_Infor_Protect')[0].id
        info()

})
const info=()=>{
    queryAppInfo(id.value).then(res => {
    value.value = res.data.content
})

}

</script>
<style lang="scss" scoped>
html,
body {
    width: 100vw;
}
.html-wrap {
    overflow-y: scroll;
    overflow-x: hidden;
    box-sizing: border-box;
    width: 100vw;
    height: 100vh;
    padding: 10px;
    color: #666;
    word-break: break-all;
    white-space: pre-wrap;
    box-sizing: border-box;

    img {
        width: 100%;
    }
}
</style>
